# Configuration automatique de Thunderbird

Le principe est de pouvoir simplement configurer un mail dans Thunderbird, sans avoir à entrer les paramètres SMTP ou IMAP de OUVATON.

## Comment ça fonctionne

Nous allons prendre l'exemple pour le nom de domaine `lamelio.fr`.

Thunderbird vérfie l'existance d'un fichier `https://autoconfig.lamelio.fr/mail/config-v1.1.xml` qui contient la configuration.

Il faut donc créer un espace web nommé autoconfig sur le domaine concerné et pousser ce document.

Un exemple et une explication pour le contenu du fichier config-v1.1.xml est disponible sur [Mettre en place l’autoconfiguration mail pour un nom de domaine](https://www.arobase.org/email-pro/autoconfiguration-mail-pour-un-nom-de-domaine.htm). Voici celui de [ouvaton.org](https://autoconfig.ouvaton.org/mail/config-v1.1.xml).

## Commandes

Nous allons prendre le nom de domaine `lamelio.fr` comme exemple.

```
export DOMAIN=lamelio.fr
```

Une clé a été mise en place pour tous les sites autoconfig :

```
ssh klic.resilien
docker exec -it garage /garage key new --name autoconfig
```

Pour voir les informations :

```
ssh klic.resilien
docker exec -it garage /garage key info autoconfig
```

Création du _bucket_ :

```
ssh klic.resilien
export DOMAIN=lamelio.fr
export NEW_DOMAIN=autoconfig.$DOMAIN
export NEW_DOMAIN_KEY=autoconfig
docker exec -it garage /garage bucket create $NEW_DOMAIN
docker exec -it garage /garage bucket allow --read --write $NEW_DOMAIN --key $NEW_DOMAIN_KEY
docker exec -it garage /garage bucket website --allow $NEW_DOMAIN
```

Configuration de l'outil `mc` :

```
 export AWS_ACCESS_KEY_ID=XXXXXXXXX
 export AWS_SECRET_ACCESS_KEY=XXXXXXXXX

mc alias set autoconfig https://s3.garage.resilien.cloud $AWS_ACCESS_KEY_ID $AWS_SECRET_ACCESS_KEY --api S3v4
```

Déploiement du site :

```
export DOMAIN=lamelio.fr
mc mirror --overwrite ./$DOMAIN/ autoconfig/autoconfig.$DOMAIN
```

## Liens

- [Article complet](https://www.canaletto.fr/post/autodiscover-and-autoconfig-imap-smtp)
